_dc_motor3_short_brake:
;dc_motor3.c,43 :: 		void dc_motor3_short_brake()
;dc_motor3.c,45 :: 		IN1 = IN2 = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,46 :: 		}
L_end_dc_motor3_short_brake:
BX	LR
; end of _dc_motor3_short_brake
_dc_motor3_stop:
;dc_motor3.c,48 :: 		void dc_motor3_stop()
;dc_motor3.c,50 :: 		if (SLP != 1)
MOVW	R1, #lo_addr(SLP+0)
MOVT	R1, #hi_addr(SLP+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_dc_motor3_stop0
;dc_motor3.c,51 :: 		SLP = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SLP+0)
MOVT	R0, #hi_addr(SLP+0)
STR	R1, [R0, #0]
L_dc_motor3_stop0:
;dc_motor3.c,52 :: 		IN1 = IN2 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,53 :: 		}
L_end_dc_motor3_stop:
BX	LR
; end of _dc_motor3_stop
_dc_motor3_standby:
;dc_motor3.c,55 :: 		void dc_motor3_standby()
;dc_motor3.c,57 :: 		SLP = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(SLP+0)
MOVT	R0, #hi_addr(SLP+0)
STR	R1, [R0, #0]
;dc_motor3.c,58 :: 		}
L_end_dc_motor3_standby:
BX	LR
; end of _dc_motor3_standby
_dc_motor3_clockwise:
;dc_motor3.c,60 :: 		void dc_motor3_clockwise()
;dc_motor3.c,62 :: 		if (SLP != 1)
MOVW	R1, #lo_addr(SLP+0)
MOVT	R1, #hi_addr(SLP+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_dc_motor3_clockwise1
;dc_motor3.c,63 :: 		SLP = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SLP+0)
MOVT	R0, #hi_addr(SLP+0)
STR	R1, [R0, #0]
L_dc_motor3_clockwise1:
;dc_motor3.c,64 :: 		IN1 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,65 :: 		IN2 = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
;dc_motor3.c,67 :: 		}
L_end_dc_motor3_clockwise:
BX	LR
; end of _dc_motor3_clockwise
_dc_motor3_counter_clockwise:
;dc_motor3.c,69 :: 		void dc_motor3_counter_clockwise()
;dc_motor3.c,71 :: 		if (SLP != 1)
MOVW	R1, #lo_addr(SLP+0)
MOVT	R1, #hi_addr(SLP+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_dc_motor3_counter_clockwise2
;dc_motor3.c,72 :: 		SLP = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SLP+0)
MOVT	R0, #hi_addr(SLP+0)
STR	R1, [R0, #0]
L_dc_motor3_counter_clockwise2:
;dc_motor3.c,73 :: 		IN1 = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,74 :: 		IN2 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
;dc_motor3.c,76 :: 		}
L_end_dc_motor3_counter_clockwise:
BX	LR
; end of _dc_motor3_counter_clockwise
_dc_motor3_in1_high:
;dc_motor3.c,78 :: 		void dc_motor3_in1_high()
;dc_motor3.c,80 :: 		IN1 = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,81 :: 		}
L_end_dc_motor3_in1_high:
BX	LR
; end of _dc_motor3_in1_high
_dc_motor3_in1_low:
;dc_motor3.c,83 :: 		void dc_motor3_in1_low()
;dc_motor3.c,85 :: 		IN1 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(IN1+0)
MOVT	R0, #hi_addr(IN1+0)
STR	R1, [R0, #0]
;dc_motor3.c,86 :: 		}
L_end_dc_motor3_in1_low:
BX	LR
; end of _dc_motor3_in1_low
_dc_motor3_in2_high:
;dc_motor3.c,88 :: 		void dc_motor3_in2_high()
;dc_motor3.c,90 :: 		IN2 = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
;dc_motor3.c,91 :: 		}
L_end_dc_motor3_in2_high:
BX	LR
; end of _dc_motor3_in2_high
_dc_motor3_in2_low:
;dc_motor3.c,93 :: 		void dc_motor3_in2_low()
;dc_motor3.c,95 :: 		IN2 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(IN2+0)
MOVT	R0, #hi_addr(IN2+0)
STR	R1, [R0, #0]
;dc_motor3.c,96 :: 		}
L_end_dc_motor3_in2_low:
BX	LR
; end of _dc_motor3_in2_low
