#include "dc_motor3.h"

unsigned int current_duty;
unsigned int pwm_period;


sbit SLP at GPIOD_ODR.B14;
sbit IN2 at GPIOC_ODR.B3;
sbit IN1 at GPIOA_ODR.B5;



void main()
{
  GPIO_Digital_Input (&GPIOE_BASE, _GPIO_PINMASK_8 | _GPIO_PINMASK_9 | _GPIO_PINMASK_10 | _GPIO_PINMASK_11 | _GPIO_PINMASK_12); // configure PORTE pins as input


  GPIO_Digital_Output (&GPIOD_BASE, _GPIO_PINMASK_14 );
  GPIO_Digital_Output (&GPIOC_BASE, _GPIO_PINMASK_3 );
  GPIO_Digital_Output (&GPIOA_BASE, _GPIO_PINMASK_5 );
  
  current_duty  = 40000;                        // initial value for current_duty
  pwm_period = PWM_TIM4_Init(5000);

  PWM_TIM4_Set_Duty(current_duty,  _PWM_NON_INVERTED, _PWM_CHANNEL1);  // Set current duty for PWM_TIM1
  PWM_TIM4_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM4_CH1_PD12);


 while(1)
  {
          if (Button(&GPIOE_IDR, 8, 50, 1))
          {
               dc_motor3_clockwise();
          }

          if (Button(&GPIOE_IDR, 9, 50, 1))
          {
               dc_motor3_counter_clockwise();
          }

          if (Button(&GPIOE_IDR, 10, 50, 1))
          {

                Delay_ms(1);
               current_duty *= 2;
               PWM_TIM4_Set_Duty(current_duty,  _PWM_NON_INVERTED, _PWM_CHANNEL1);
          }

          if (Button(&GPIOE_IDR, 11, 50, 1))
          {
                 Delay_ms(1);
                 current_duty /= 2;
                 PWM_TIM4_Set_Duty(current_duty,  _PWM_NON_INVERTED, _PWM_CHANNEL1);
          }
          
          if (Button(&GPIOE_IDR, 12, 50, 1))
          {
               dc_motor3_stop();
          }
    Delay_ms(1);
  }

}