#line 1 "C:/Users/Viktor/Desktop/Klikovi/DC_Motor3_Click/ARM/dc_motor3_click.c"
#line 1 "c:/users/viktor/desktop/klikovi/dc_motor3_click/arm/dc_motor3.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 75 "c:/users/viktor/desktop/klikovi/dc_motor3_click/arm/dc_motor3.h"
int dc_motor3_init( void *set_duty, uint8_t pwm_channel );
#line 86 "c:/users/viktor/desktop/klikovi/dc_motor3_click/arm/dc_motor3.h"
void dc_motor3_set_speed (uint8_t speed);
void dc_motor3_short_brake();
void dc_motor3_stop();
void dc_motor3_standby();
void dc_motor3_clockwise();
void dc_motor3_counter_clockwise();
void dc_motor3_in1_high();
void dc_motor3_in1_low();
void dc_motor3_in2_high();
void dc_motor3_in2_low();
#line 3 "C:/Users/Viktor/Desktop/Klikovi/DC_Motor3_Click/ARM/dc_motor3_click.c"
unsigned int current_duty;
unsigned int pwm_period;


sbit SLP at GPIOD_ODR.B14;
sbit IN2 at GPIOC_ODR.B3;
sbit IN1 at GPIOA_ODR.B5;



void main()
{
 GPIO_Digital_Input (&GPIOE_BASE, _GPIO_PINMASK_8 | _GPIO_PINMASK_9 | _GPIO_PINMASK_10 | _GPIO_PINMASK_11 | _GPIO_PINMASK_12);


 GPIO_Digital_Output (&GPIOD_BASE, _GPIO_PINMASK_14 );
 GPIO_Digital_Output (&GPIOC_BASE, _GPIO_PINMASK_3 );
 GPIO_Digital_Output (&GPIOA_BASE, _GPIO_PINMASK_5 );

 current_duty = 40000;
 pwm_period = PWM_TIM4_Init(5000);

 PWM_TIM4_Set_Duty(current_duty, _PWM_NON_INVERTED, _PWM_CHANNEL1);
 PWM_TIM4_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM4_CH1_PD12);


 while(1)
 {
 if (Button(&GPIOE_IDR, 8, 50, 1))
 {
 dc_motor3_clockwise();
 }

 if (Button(&GPIOE_IDR, 9, 50, 1))
 {
 dc_motor3_counter_clockwise();
 }

 if (Button(&GPIOE_IDR, 10, 50, 1))
 {

 Delay_ms(1);
 current_duty *= 2;
 PWM_TIM4_Set_Duty(current_duty, _PWM_NON_INVERTED, _PWM_CHANNEL1);
 }

 if (Button(&GPIOE_IDR, 11, 50, 1))
 {
 Delay_ms(1);
 current_duty /= 2;
 PWM_TIM4_Set_Duty(current_duty, _PWM_NON_INVERTED, _PWM_CHANNEL1);
 }

 if (Button(&GPIOE_IDR, 12, 50, 1))
 {
 dc_motor3_stop();
 }
 Delay_ms(1);
 }

}
